slepc-3.10.1 2018-10-23
Report Typos and Errors

# STPrecondSetMatForPC

Sets the matrix that must be used to build the preconditioner.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STPrecondSetMatForPC(ST st,Mat mat)

Logically Collective on ST and Mat

### Input Parameter

| st | - the spectral transformation context
| mat | - the matrix that will be used in constructing the preconditioner

### Notes

This matrix will be passed to the KSP object (via KSPSetOperators) as the matrix to be used when constructing the preconditioner. If no matrix is set or mat is set to NULL, A - sigma*B will be used to build the preconditioner, being sigma the value set by STSetShift().

### See Also

STPrecondSetMatForPC(), STSetShift()

Location: src/sys/classes/st/impls/precond/precond.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex24.c.html